package org.springblade.capcancel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.capcancel.entity.CapCancelNum;
import org.springblade.capcancel.vo.CapCancelNumVO;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * <p>
 * CAP统一失效数 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-08-25
 */
public interface ICapCancelNumService extends IService<CapCancelNum> {

	List<CapCancelNumVO> getListByMonth(String month);

	List<String> getSpnameList();

	List<LinkedHashMap<String, Object>> getPivotList(StringBuffer buffer);
}
